Systemd can't seem to catch a break: New vulnerability found

6 days ago 11
PR Distribution

A unsafe vulnerability was recovered successful the Linux systemd stack. Find retired what it is and however to upgrade your Linux distributions.

security-alert.jpg

Image: Sergey Nivens/Shutterstock

As if systemd didn't already person capable detractors, it present has a superior vulnerability to heap onto the mix.

OK, that mightiness beryllium a spot hyperbolic of me. Or not. You see, systemd has (since inception) been lambasted and attacked. Why? That depends connected who you ask. But from my position (after having covered Linux for decades), the bulk of the haters hatred it due to the fact that it's change. And you cognize however radical consciousness astir change.

SEE: Security incidental effect policy (TechRepublic Premium)

Truth beryllium told, systemd has been a precise bully initialization strategy for Linux. It's fast, reliable, secure… 

Or truthful it was. 

Recently researchers astatine Qualsys discovered a nasty small vulnerability tucked distant successful systemd. This travel is simply a Denial of Service which tin beryllium exploited by immoderate privileged idiosyncratic to clang systemd and instrumentality down the full operating strategy via kernel panic.

The vulnerability (CVE-2021-33910) was introduced successful April 2015 with mentation 220 (commit 7410616c).

How the vulnerability works

According to Bharat Jogi, elder manager, Vulnerabilities and Signatures astatine Qualys, the vulnerability works similar this:

  • unit_name_path_escape() passes the mountpoint way to strdupa() and allocates representation connected the stack (via alloca()), not successful the heap (via malloc()).
  • If the full way magnitude of the mountpoint exceeds 8MB (the default RLIMIT_STACK), systemd crashes with a segmentation responsibility that besides crashes the full operating system.

In reality, what would person to hap would beryllium a section malicious idiosyncratic mounting a record strategy to a precise agelong path, which would origin excessively overmuch representation to beryllium utilized wrong systemd. For example, if you mounted /dev/sbd1 to /very/long/path/to/mount/a/drive/to/which/could/cause/a/kernel/panic/on/the/system. Although not probable, it's not retired of the realm of the imaginable that a Linux idiosyncratic mightiness equine a filesystem to specified a agelong path.

SEE: Linux 101: What are the Linux systemd equivalents of runlevels? (TechRepublic) 

No substance however apt this is to hap connected your system(s), you are powerfully urged to upgrade systemd instantly connected each Linux systems that marque usage of this initialization stack.

How to upgrade

If you're a Linux admin, you already cognize however this is done. But conscionable successful case:

On a Red Hat-based system:

sudo dnf upgrade -y

On a Ubuntu-based system:

sudo apt-get upgrade -y

On a SUSE-based system:

sudo zypper update

On an Arch-based system:

sudo pacman -Syu

Once you've upgraded your system, marque definite to reboot truthful the changes instrumentality effect. 

Let maine authorities this clearly: Do. Not. Hesitate. To. Upgrade. Your. Linux. Machines. Do it now, not later. Although the likelihood of this onslaught affecting you is small, it's inactive a unsafe vulnerability. And since it's 1 you tin perfectly debar with a speedy upgrade, you would beryllium earnestly remiss if you didn't instrumentality the clip to update each Linux instrumentality you manage.

You've been warned.

Cybersecurity Insider Newsletter

Strengthen your organization's IT information defenses by keeping abreast of the latest cybersecurity news, solutions, and champion practices. Delivered Tuesdays and Thursdays

Sign up today

Also spot

Read Entire Article